Summary:	A set of GNU Interactive Tools
Name: 		gnuit
Version:	4.9.5
Release:	%mkrel 9
License:	GPLv3
Group:		File tools
URL:		http://www.gnu.org/software/gnuit/
Source: 	http://ftp.gnu.org/gnu/gnuit/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-string-format-errors.patch
Patch2:		0002-Fix-linking.patch
BuildRequires:	ncurses-devel
BuildRequires:	tetex
BuildRequires:	texinfo
BuildRequires:	texi2html


%description
gnuit (GNU Interactive Tools) provides an extensible file
system browser, an ASCII/hexadecimal file viewer, a process viewer/killer
and other related utilities and shell scripts.  gnuit can be used to increase
the speed and efficiency of copying and moving files and directories,
invoking editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more. gnuit uses standard
ANSI color sequences, if they are available.

You should install the gnuit package if you are interested in using its file
management capabilities.

%prep
%setup -q
%autopatch -p1

%build
#
# (fg) 20000721 FIXME - git doesn't like libtoolize, hence the handmade
# ./configure line
# Part of these commands are also in the  "gnuit.spec" present in the upstream
# tarball
#
CFLAGS="%{optflags}" LDFLAGS='' \
./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-terminfo \
	--libdir=%{_libdir} \
	--enable-smp \
	--disable-transition
%make_build

# Force rebuild of info file
pushd doc
makeinfo gnuit.texinfo
popd

%install
%make_install

%post
%{_install_info gnuit.info}

%preun
%{_remove_install_info gnuit.info}

%files
%doc ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/gnuit.html
%{_bindir}/*
%{_bindir}/.gitaction
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/gnuit/


%changelog
* Fri May 06 2016 ngompa <ngompa> 4.9.5-9.mga6
+ Revision: 1009848
- Remove obsolete Obsoletes lines

* Mon Feb 15 2016 umeabot <umeabot> 4.9.5-8.mga6
+ Revision: 960487
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 daviddavid <daviddavid> 4.9.5-7.mga6
+ Revision: 892556
- do not strip debug files (fix build with latest rpm)

* Wed Oct 15 2014 umeabot <umeabot> 4.9.5-6.mga5
+ Revision: 747722
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.9.5-5.mga5
+ Revision: 679823
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.9.5-4.mga4
+ Revision: 505145
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.9.5-3.mga3
+ Revision: 352354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 4.9.5-2.mga1
+ Revision: 68351
- imported package gnuit

